> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kasoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the unsend messages count of each connector.

> Get the unsend messages count of each connector.



## OpenAPI

````yaml 26.2/self-hosted/zh/api-reference/openapi.json POST /getMessageCount
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.1.9515.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Base URL of your Arc instance, including scheme and application path
          (e.g. https://arc.example.com/api.rsc).
security: []
paths:
  /getMessageCount:
    post:
      tags:
        - getMessageCount
      summary: Get the unsend messages count of each connector.
      description: Get the unsend messages count of each connector.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/getMessageCount_input'
      responses:
        '200':
          description: The action result
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getMessageCount_output'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    getMessageCount_input:
      type: object
      properties:
        WorkspaceId:
          type: string
          description: >-
            When set, the API will return the count of pending messages for the
            specified workspace.  When left empty, a message count for all
            connectors in all workspaces will be returned.
        ConnectorId:
          type: string
          description: The Id of the Connector for which to get the message count.
    getMessageCount_output:
      type: array
      items:
        type: object
        properties:
          ConnectorId:
            type: string
            description: The Id of the Connector.
          Count:
            type: string
            description: >-
              The count of pending messages for the connector.  This value will
              be the count of all messages in the Send folder.
          Workspace:
            type: string
            description: The connector's workspace.
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````